#!/usr/bin/perl

# Description of icon states
# http://weather.gov/xml/current_obs/weather.php


$ICON_DIR = "weather/";		#relative to fvwm image path


$WGET = `wget -qO- "http://weather.gov/xml/current_obs/KPIT.xml"`;
@WGET = split("\n", $WGET);

foreach (@WGET)
{
	if(/\<temp_f\>/)
	{
		$_ =~ s/\s+\<temp_f\>(.+)\.[0-9]*\<\/temp_f\>\s*/$+/;
		$tmp = $_;
	}

	if(/\<icon_url_name\>/)
	{
		$_ =~ s/\s+\<icon_url_name\>(.+)\<\/icon_url_name\>\s*/$+/;
		$icon_url_name = $_;

		if   ($icon_url_name eq "skc.jpg")	{ $icon = "32.png"; }
		elsif($icon_url_name eq "nskc.jpg")	{ $icon = "33.png"; }
		elsif($icon_url_name eq "few.jpg")	{ $icon = "34.png"; }
		elsif($icon_url_name eq "nfew.jpg")	{ $icon = "29.png"; }
		elsif($icon_url_name eq "sct.jpg")	{ $icon = "34.png"; }
		elsif($icon_url_name eq "nsct.jpg")	{ $icon = "29.png"; }
		elsif($icon_url_name eq "bkn.jpg")	{ $icon = "28.png"; }
		elsif($icon_url_name eq "nbkn.jpg")	{ $icon = "27.png"; }
		elsif($icon_url_name eq "ovc.jpg")	{ $icon = "26.png"; }
		elsif($icon_url_name eq "novc.jpg")	{ $icon = "26.png"; }
		elsif($icon_url_name eq "ra1.jpg")	{ $icon = "11.png"; }
		elsif($icon_url_name eq "nra.jpg")	{ $icon = "45.png"; }
		elsif($icon_url_name eq "ra.jpg")	{ $icon = "40.png"; }
		elsif($icon_url_name eq "shra.jpg")	{ $icon = "39.png"; }
		elsif($icon_url_name eq "hi_shwrs.jpg")	{ $icon = "9.png"; }
		elsif($icon_url_name eq "hi_nshwrs.jpg"){ $icon = "9.png"; }
		elsif($icon_url_name eq "tsra.jpg")	{ $icon = "17.png"; }
		elsif($icon_url_name eq "ntsra.jpg")	{ $icon = "47.png"; }
		elsif($icon_url_name eq "hi_tsra.jpg")	{ $icon = "37.png"; }
		elsif($icon_url_name eq "hi_ntsra.jpg")	{ $icon = "37.png"; }
		elsif($icon_url_name eq "ip.jpg")	{ $icon = "8.png"; }
		elsif($icon_url_name eq "raip.jpg")	{ $icon = "10.png"; }
		elsif($icon_url_name eq "wind.jpg")	{ $icon = "23.png"; }
		elsif($icon_url_name eq "nwind.jpg")	{ $icon = "23.png"; }
		elsif($icon_url_name eq "fzra.jpg")	{ $icon = "10.png"; }
		elsif($icon_url_name eq "fzrara.jpg")	{ $icon = "10.png"; }
		elsif($icon_url_name eq "mix.jpg")	{ $icon = "7.png"; }
		elsif($icon_url_name eq "nmix.jpg")	{ $icon = "7.png"; }
		elsif($icon_url_name eq "sn.jpg")	{ $icon = "16.png"; }
		elsif($icon_url_name eq "nsn.jpg")	{ $icon = "46.png"; }
		elsif($icon_url_name eq "rasn.jpg")	{ $icon = "5.png"; }
		elsif($icon_url_name eq "nrasn.jpg")	{ $icon = "5.png"; }
		elsif($icon_url_name eq "nsvrtsra.jpg")	{ $icon = "5.png"; }
		elsif($icon_url_name eq "fg.jpg")	{ $icon = "20.png"; }
		elsif($icon_url_name eq "nfg.jpg")	{ $icon = "20.png"; }
		elsif($icon_url_name eq "smoke.jpg")	{ $icon = "22.png"; }
		elsif($icon_url_name eq "dust.jpg")	{ $icon = "19.png"; }
		elsif($icon_url_name eq "mist.jpg")	{ $icon = "21.png"; }
		else					{ $icon = "na.png"; }
	}

}


if ($ARGV[0] eq "tmp")
	{ print $tmp . "F";
	}
if ($ARGV[0] eq "icon")
	{ print $ICON_DIR . $icon;
	}




